import 'package:flutter/material.dart';
import 'package:flutter_inappwebview/flutter_inappwebview.dart';
import 'webview_container.dart';

class PaydalaFlutterSdk {
  static MyInAppBrowser browser = MyInAppBrowser();

  static Widget getButton(String buttonText, String url) {
    print(url);
    var settings = InAppBrowserClassSettings(
      browserSettings: InAppBrowserSettings(hideUrlBar: false),
      webViewSettings: InAppWebViewSettings(
        javaScriptEnabled: true,
        geolocationEnabled: true, // Enable geolocation
      ),

    );

    return ElevatedButton(
      onPressed: () {
        browser.openUrlRequest(
          urlRequest: URLRequest(url: WebUri(url)),
          settings: settings,
        );
      },
      child: Text(buttonText),
    );
  }
}
